import {requestInstance} from "@/service/index";

export function getDataClearHomeData(params) {
 return requestInstance({
  url:'/DataCleaning/getCleaningTaskList',
  data:{
   ...params
  }
 })
}
export function changeClearTaskStatus(   cid,
                                         taskStatus) {
 return requestInstance({
  url:'/DataCleaning/updateCleaningTaskStatus',
  data:{
   cid,
   taskStatus
  }
 })
}
export function getClearTaskDetailTableData(code){
 return requestInstance({
  url:'/catalog/getCatalogMlglxxCode',
  data:{
   code
  }
 })
}
export function changeClearTaskDetailStatus(params) {
 return requestInstance({
  url:'/DataCleaning/updateCleaningDeployStatus',
  data:{
   ...params
  }
 })
}
export function updateClearTaskDetailD(params){
 return requestInstance({
  url:'/DataCleaning/updateCleaningTask',
  data:{
   ...params
  }
 })
}
export function addClearTaskDetailD(params){
 return requestInstance({
  url:'/DataCleaning/insertCleaningTask',
  data:{
   ...params
  }
 })
}
export function fetClearDetailInfo(cleaningTaskUUID){
 return requestInstance({
  url:'/DataCleaning/getCleaningTaskList',
  data:{
   "pageIndex": 1,
   "pageSize": 1000,
   "cleaningTaskUUID": cleaningTaskUUID,

  }
 })
}
